<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/matviewstruct.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>matviewstruct.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for matviewstruct.c:</div>
<div class="dynsection">
<div class="center"><img src="matviewstruct_8c__incl.png" border="0" usemap="#util_2matviewstruct_8c_map" alt=""/></div>
<map name="util_2matviewstruct_8c_map" id="util_2matviewstruct_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="matviewstruct_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="matviewstruct_8c.html#a7c494f3571a8f64d0056e03cbf6c994a">matviewstruct</a> (MPI_Comm comm, Mat mat)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a7c494f3571a8f64d0056e03cbf6c994a"></a><!-- doxytag: member="matviewstruct.c::matviewstruct" ref="a7c494f3571a8f64d0056e03cbf6c994a" args="(MPI_Comm comm, Mat mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int matviewstruct </td>
          <td>(</td>
          <td class="paramtype">MPI_Comm&nbsp;</td>
          <td class="paramname"> <em>comm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat&nbsp;</td>
          <td class="paramname"> <em>mat</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="matviewstruct_8c_source.html#l00029">29</a> of file <a class="el" href="matviewstruct_8c_source.html">matviewstruct.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, and <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>.</p>

<p>Referenced by <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="matviewstruct_8c_a7c494f3571a8f64d0056e03cbf6c994a_icgraph.png" border="0" usemap="#matviewstruct_8c_a7c494f3571a8f64d0056e03cbf6c994a_icgraph_map" alt=""></div>
<map name="matviewstruct_8c_a7c494f3571a8f64d0056e03cbf6c994a_icgraph_map" id="matviewstruct_8c_a7c494f3571a8f64d0056e03cbf6c994a_icgraph">
<area shape="rect" id="node3" href="reorder_8c.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="157,58,264,89"/><area shape="rect" id="node5" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="312,5,483,35"/><area shape="rect" id="node13" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="331,58,464,89"/><area shape="rect" id="node16" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="337,111,457,142"/><area shape="rect" id="node7" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="531,58,597,89"/><area shape="rect" id="node9" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="647,58,705,89"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="755,58,805,89"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

